FROM openjdk:11-jre
COPY target/photo-booth.jar photo-booth.jar
COPY cert/clientkeystore.jks clientkeystore.jks
EXPOSE 8080
CMD ["java", "-Djdbc.driver=com.sap.db.jdbc.Driver", "-Djdbc.url=jdbc:sap://4829e0a9-8834-4712-9603-3af8e1ddb443.hana.trial-us10.hanacloud.ondemand.com:443?encrypt=true&validateCertificate=false", "-Djdbc.user=DBADMIN", "-Djdbc.password=Vasorange#10205", "-Djavax.net.ssl.trustStore=/clientkeystore.jks", "-Djavax.net.ssl.trustStorePassword=pikiymacho1",  "-jar", "/photo-booth.jar"]